#!/bin/sh

# This shell script will generate the MDA file and apply it to
#	the current sendmail.cf 

# Parameter list
# $1 = current sendmail.cf
# $2 = xamime home directory
if [ $# -ne 2 ]; then
	printf "Usage: $0 <sendmail.cf path> <xamime home directory>"
	exit 1
	fi

#
# Stage 1, generate the MDA file
# Stage 1, generate the MDA file
# Stage 1, generate the MDA file
#
#
printf "Building xamime.mda file..."
MDA=./xamime.mda
printf "\nMxamime,\tP=$2/xamime, F=ClsDXFM:/|@qShPm,\n" > $MDA
printf "\t\tS=0, R=0, T=DNS/RFC822/X-Unix,\n" >> $MDA
printf "\t\tA=xamime $2/xamime.config \$f \$u\n\n" >> $MDA
printf "done\n"


#
# Stage 2. apply the MDA file to sendmail.cf
# Stage 2. apply the MDA file to sendmail.cf
# Stage 2. apply the MDA file to sendmail.cf
#
#
printf "Applying MDA file to $1..."
./fixcf -s $2/spool -t $2/xamime.st -m $MDA -i $1 -o ./xamime.cf
if [ $? -ne 0 ]; then
	printf "ERROR while trying to run fixcf"
	printf "Terminating"
	exit 1
	fi

printf "done\n"


